#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 z-dns-z-dns-internal
version:              4.1.0
package-name:         dns
lib-name:             dns-internal
id:                   dns-4.1.0-3RLiAWfTjUgHUHS9SsGpDX-dns-internal
key:                  dns-4.1.0-3RLiAWfTjUgHUHS9SsGpDX-dns-internal
license:              BSD-3-Clause
maintainer:           Kazu Yamamoto <kazu@iij.ad.jp>
author:               Kazu Yamamoto <kazu@iij.ad.jp>
synopsis:             DNS library in Haskell
description:
    A thread-safe DNS library for both clients and servers written
    in pure Haskell.

category:             Network
abi:                  65a6cfd912719d12ce4f22ebd10b17a0
exposed-modules:
    Network.DNS.Base32Hex Network.DNS.Decode.Internal
    Network.DNS.Decode.Parsers Network.DNS.Encode.Builders
    Network.DNS.Encode.Internal Network.DNS.Imports Network.DNS.Memo
    Network.DNS.Resolver.Internal Network.DNS.StateBinary
    Network.DNS.Types.Internal Network.DNS.Types.Resolver

import-dirs:          /usr/lib/ghc-9.0.2/site-local/dns-4.1.0
library-dirs:         /usr/lib/ghc-9.0.2/site-local/dns-4.1.0
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-dns
hs-libraries:         HSdns-4.1.0-3RLiAWfTjUgHUHS9SsGpDX-dns-internal
depends:
    array-0.5.4.0 async-2.2.4-17F2m0fMLmE9RexONjnSWz
    attoparsec-0.14.4-A1PWQnBLBD2K7MHHtIDQd7
    auto-update-0.1.6-Ba5XjcoE5nCGmZJegYxKQL base-4.15.1.0
    base16-bytestring-1.0.2.0-CRFknqkYfvs9LIz7x6ejLS
    base64-bytestring-1.2.1.0-HEkHMwfBMkP3vhiDeAyWmV
    bytestring-0.10.12.1 containers-0.6.4.1
    cryptonite-0.30-6kSuETksa1UJN2H3TADKKV
    hourglass-0.2.12-6repEUj6pqbJy0Bdq8ggn
    iproute-1.7.12-4eHJxnbXPrD1YkQ0c7WIzc mtl-2.2.2
    network-3.1.2.8-86RAYe8YlJ8COR6Orso36m
    psqueues-0.2.7.3-LmVm7fHk10RHVQ8nGCPiyJ

haddock-interfaces:   /usr/share/doc/haskell-dns/html/dns.haddock
haddock-html:         /usr/share/doc/haskell-dns/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 dns
version:              4.1.0
visibility:           public
id:                   dns-4.1.0-KEl0aoeo1Fz76YcHQTVL2S
key:                  dns-4.1.0-KEl0aoeo1Fz76YcHQTVL2S
license:              BSD-3-Clause
maintainer:           Kazu Yamamoto <kazu@iij.ad.jp>
author:               Kazu Yamamoto <kazu@iij.ad.jp>
synopsis:             DNS library in Haskell
description:
    A thread-safe DNS library for both clients and servers written
    in pure Haskell.

category:             Network
abi:                  4b01edba74ee556aa8bb7cdcfb60cf3b
exposed:              True
exposed-modules:
    Network.DNS Network.DNS.Decode Network.DNS.Encode Network.DNS.IO
    Network.DNS.Lookup Network.DNS.LookupRaw Network.DNS.Resolver
    Network.DNS.Types Network.DNS.Utils

hidden-modules:       Network.DNS.Transport
import-dirs:          /usr/lib/ghc-9.0.2/site-local/dns-4.1.0
library-dirs:         /usr/lib/ghc-9.0.2/site-local/dns-4.1.0
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-dns
hs-libraries:         HSdns-4.1.0-KEl0aoeo1Fz76YcHQTVL2S
depends:
    array-0.5.4.0 async-2.2.4-17F2m0fMLmE9RexONjnSWz
    attoparsec-0.14.4-A1PWQnBLBD2K7MHHtIDQd7
    auto-update-0.1.6-Ba5XjcoE5nCGmZJegYxKQL base-4.15.1.0
    base16-bytestring-1.0.2.0-CRFknqkYfvs9LIz7x6ejLS
    base64-bytestring-1.2.1.0-HEkHMwfBMkP3vhiDeAyWmV
    bytestring-0.10.12.1 containers-0.6.4.1
    cryptonite-0.30-6kSuETksa1UJN2H3TADKKV
    dns-4.1.0-3RLiAWfTjUgHUHS9SsGpDX-dns-internal
    hourglass-0.2.12-6repEUj6pqbJy0Bdq8ggn
    iproute-1.7.12-4eHJxnbXPrD1YkQ0c7WIzc mtl-2.2.2
    network-3.1.2.8-86RAYe8YlJ8COR6Orso36m
    psqueues-0.2.7.3-LmVm7fHk10RHVQ8nGCPiyJ

haddock-interfaces:   /usr/share/doc/haskell-dns/html/dns.haddock
haddock-html:         /usr/share/doc/haskell-dns/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

